
Redmine - Defect #10134

Case insensitive search is not working with postgres 8.4 and umlauts

2012-02-02 10:33 - John Wilcox

Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.3.0

Description

We are using Redmine 1.3.0 with postgres 8.4 on GNU/Linux:

----------------------------------------------

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.2

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Edge Rails revision       unknown

Application root          /var/lib/redmine

Environment               production

Database adapter          postgresql

Database schema version   20110902000000

About your Redmine plugins

HTTP Authentication plugin   0.3.0-dev

---------------------------------------

Postgres database collation is UTF-8.

When I create a new issue, for example titled "Ämber", and try to search for it it is only found when I search for it in lower case

"ämber".

It looks as if mysql is not affected, since in redmine demo environment I cannot replicate this problem: 

http://demo.redmine.org/search?q=%C3%84mma&scope=all&all_words=&all_words=1&titles_only=&issues=1&submit=Submit

I have found a fix for it though: http://www.redmine.org/issues/1608

After modifying the relevant file and installing the unicode gem the problem is solved.

Related issues:

Related to Redmine - Defect #6551: Highlighting in search results is case sen... New 2010-10-01

Blocked by Redmine - Feature #4050: Ruby 1.9 support Closed 2009-10-18

History

#1 - 2012-02-02 11:12 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #6551.

I guess that demo site is running with Ruby 1.9?

#2 - 2012-02-02 11:20 - John Wilcox

- Status changed from Closed to Reopened

#6551 is about search highlighting. My problem is that when searching for "Ämber" no search results are returned at all.

#3 - 2012-02-02 12:29 - Etienne Massip
http://demo.redmine.org/search?q=%C3%84mma&scope=all&all_words=&all_words=1&titles_only=&issues=1&submit=Submit
http://www.redmine.org/issues/1608
https://www.redmine.org/issues/6551
https://www.redmine.org/issues/6551


- Status changed from Reopened to Confirmed

- Resolution deleted (Duplicate)

Sorry; you're right there is an issue here I can reproduce with Ruby 1.8.7 although I think it should be gone with 1.9 (need to be tested with trunk).

Ruby 1.8.7 downcases "Ämber" to "Ämber" instead of "ämber", so PG doesn't find it.

#4 - 2015-09-08 05:27 - Jens Krämer

this works with 3.1-stable, Ruby 2.2.2 / PostgreSQL 9.4

#5 - 2018-04-16 11:16 - Alexander Ryabinovskiy

I confirm this bug

Environment:

  Redmine version                3.4.3.stable

  Ruby version                   2.4.4-p296 (2018-03-28) [x64-mingw32]

  Rails version                  4.2.8

  Database adapter               SQLServer (2012)
